Package org.eclipse.emf.cdo.etypes.provider.annotation

# Class AnnotationItemProviderAdapterFactory.Group

java.lang.Object
org.eclipse.emf.cdo.etypes.provider.annotation.AnnotationItemProviderAdapterFactory.Group

All Implemented Interfaces:
  `IItemPropertySource`

Enclosing class:
  `AnnotationItemProviderAdapterFactory`

public static final class AnnotationItemProviderAdapterFactory.Group extends Object implements IItemPropertySource
A convenient implementation of a property source with an explicit list of property descriptors that can be `populated` after construction.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final List<IItemPropertyDescriptor>`
`itemPropertyDescriptors`
The list of property descriptors as returned by `getPropertyDescriptors()`.
`protected Object`
`propertyValue`
The `value` for this property source.

## Constructor Summary

Constructors
Constructor
Description
`Group(Object propertyValue)`
Creates an instance that wraps the given property value.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(IItemPropertyDescriptor propertyDescriptor)`
Adds the given property descriptor to the `property descriptors`.
`Object`
`getEditableValue(Object object)`
`IItemPropertyDescriptor`
`getPropertyDescriptor(Object object, Object propertyID)`
`List<IItemPropertyDescriptor>`
`getPropertyDescriptors()`
Returns the underlying list of property descriptors.
`List<IItemPropertyDescriptor>`
`getPropertyDescriptors(Object object)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### propertyValue

protected Object propertyValue
The `value` for this property source.

### itemPropertyDescriptors

protected final List<IItemPropertyDescriptor> itemPropertyDescriptors
The list of property descriptors as returned by `getPropertyDescriptors()`.

## Constructor Details

### Group

public Group(Object propertyValue)
Creates an instance that wraps the given property value.

Parameters:
  `propertyValue` - the `value` for this property source.

## Method Details

### add

public void add(IItemPropertyDescriptor propertyDescriptor)
Adds the given property descriptor to the `property descriptors`.

Parameters:
  `propertyDescriptor` - the property descriptor to add.

### getPropertyDescriptors

public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)

This implementation simply delegates to `getPropertyDescriptors()`.

Specified by:
  `getPropertyDescriptors` in interface `IItemPropertySource`

### getPropertyDescriptors

public List<IItemPropertyDescriptor> getPropertyDescriptors()
Returns the underlying list of property descriptors. This list can be directly modified by the caller.

Returns:
  the underlying list of property descriptors.

### getPropertyDescriptor

public IItemPropertyDescriptor getPropertyDescriptor(Object object, Object propertyID)

Specified by:
  `getPropertyDescriptor` in interface `IItemPropertySource`

### getEditableValue

public Object getEditableValue(Object object)

Specified by:
  `getEditableValue` in interface `IItemPropertySource`

### toString

public String toString()

Overrides:
  `toString` in class `Object`